<?php
/* Template Name: OpenStreetMap New */

get_header(); ?>

<?php if ( astra_page_layout() == 'left-sidebar' ) : ?>

	<?php get_sidebar(); ?>

<?php endif ?>

	<div id="primary" <?php astra_primary_class(); ?>>

		<?php astra_primary_content_top(); ?>

<?php	

woocommerce_content();

global $product;

// WP_Query arguments
$args = array(
  'post_type'              => array( 'product' ),
  'post_status'            => array( 'publish' ),
  'nopaging'               => true,
);

// The Query
$query = new WP_Query( $args );




echo '<link rel="stylesheet" href="https://unpkg.com/leaflet@1.4.0/dist/leaflet.css" integrity="sha512-puBpdR0798OZvTTbP4A8Ix/l+A4dHDD0DGqYW6RQ+9jxkRFclaxxQb/SJAWZfWAkuyeQUytO7+7N4QKrDh+drA==" crossorigin=""/>';
echo '<script src="https://unpkg.com/leaflet@1.4.0/dist/leaflet.js" integrity="sha512-QVftwZFqvtRNi0ZyCtsznlKSWOStnDORoefr1enyq5mVL4tmKB3S/EnC3rRJcxCPavG10IcrVGSmPh6Qw5lwrg==" crossorigin=""></script>';

echo '<link rel="stylesheet" href="http://testwp.sitebiznes.ru/wp-content/themes/astra-child/css/MarkerCluster.css" />';
echo '<link rel="stylesheet" href="http://testwp.sitebiznes.ru/wp-content/themes/astra-child/css/MarkerCluster.Default.css" />';
echo '<script src="http://testwp.sitebiznes.ru/wp-content/themes/astra-child/js/leaflet.markercluster-src.js"></script>';


echo '<div id="mapid" style="width: 100%; height: 600px;"></div>';
echo '<script>';

echo 'var mymap = L.map("mapid").setView([55.7532,37.6225], 8);';

echo "L.tileLayer('http://{s}.tile.osm.org/{z}/{x}/{y}.png', {";
echo "attribution: '&copy;", '<a href="http://osm.org/copyright">OpenStreetMap</a>',  "contributors'";
echo '}).addTo(mymap); ';

echo 'var markers = L.markerClusterGroup();';

foreach ($query->posts as $value) {
	
	
	$product = wc_get_product($value->ID);
	
	$produktcat_m = get_the_terms( $value->ID, 'product_cat' );	
	
    $produktcat = $produktcat_m[0]->name;
	
	$price = $product->get_price_html();
	
	$price = strip_tags($price);
	
	$field = get_field('location', $value->ID);
	
	$field_distance = get_field('distance', $value->ID);
	
	$field_homearea = get_field('homearea', $value->ID);
	
	$field_landarea = get_field('landarea', $value->ID);
	
	$field_floors = get_field('floors', $value->ID);
	
	if($field):
	
	$ss_product = "<a href='http://testwp.sitebiznes.ru/product/".$value->post_name."/' target='blank'>Подробнее</a>";
	
	//echo 'L.marker([', $field["lat"], ',', $field["lng"], ']).addTo(mymap).bindPopup("',  $field["address"], '<br><br>', 'Растояние от МКАД в км.: ', $field_distance, '<br>Цена: ', $price, '<br>', $ss_product, '");';	
	
echo 'var title = "', $field["address"], '<br><br>', 'Направление: ', $produktcat, '<br>', 'Растояние от МКАД в км.: ', $field_distance, '<br>', 'Площадь дома в м2: ', $field_homearea, '<br>', 'Площадь участка в сот.: ', $field_landarea, '<br>', 'Этажность дома: ', $field_floors, '<br><br>Цена: ', $price, '<br>', $ss_product, '";';
	
echo 'var marker = L.marker(new L.LatLng(', $field["lat"], ',', $field["lng"], '), { title: "', $field["address"], '" });';
	
echo 'marker.bindPopup(title);';
	
echo 'markers.addLayer(marker);';


endif;
	
	
		
}

echo 'mymap.addLayer(markers);';

echo '</script>';

?>

		<?php astra_primary_content_bottom(); ?>

	</div><!-- #primary -->

<?php if ( astra_page_layout() == 'right-sidebar' ) : ?>

	<?php get_sidebar(); ?>

<?php endif ?>

<?php get_footer(); ?>